#include "prefix.h"

#include "cai.h"
#include "cerror.h"
#include "path.h"
#include "converterai.h"

/*************************************************

	Illustlator`̕ϊCɂĂяo

**************************************************/

BZP_NAMESPACE_START

BZP_EXTERN_C_START

BZPERROR BZP_API BZPathToAISize(const BZPath path,int part,int *size)
{
	NullCheck(size);
	TRY {
		*size=PathToAISize(path,part);
	} CATCH;
}


BZPERROR BZP_API BZPathToAI(const BZPath path,int part,char *ai,int size)
{
	TRY {
		PathToAI(path,part,ai,size);
	} CATCH;
}

BZPERROR BZP_API BZAIToPath(BZPath path,const char *ai,int size)
{
	TRY {
		AIToPath(path,ai,size);
	} CATCH;
}

BZP_EXTERN_C_END

BZP_NAMESPACE_END
