#include "prefix.h"

#include "cconfig.h"
#include "cerror.h"
#include "runtimeconfig.h"

/*************************************************

	Rumtime ConfigCɂĂяo

**************************************************/

BZP_NAMESPACE_START

BZP_CONFIG_USING

BZP_EXTERN_C_START

BZPERROR BZP_API BZConfig_SetInt(CONFIG_INT config,int value)
{
	TRY {
		SetConfig(config,value);
	} CATCH;
}

BZPERROR BZP_API BZConfig_SetBool(CONFIG_BOOL config,BOOL flag)
{
	TRY {
		SetConfig(config,flag!=FALSE);
	} CATCH;
}

BZPERROR BZP_API BZConfig_SetDouble(CONFIG_DOUBLE config,double value)
{
	TRY {
		SetConfig(config,value);
	} CATCH;
}

BZPERROR BZP_API BZConfig_GetInt(CONFIG_INT config,int *value)
{
	NullCheck(value);

	TRY {
		*value=GetConfigInt(config);
	} CATCH;
}

BZPERROR BZP_API BZConfig_GetBool(CONFIG_BOOL config,BOOL *value)
{
	NullCheck(value);
	TRY {
		*value=GetConfigBool(config);
	} CATCH;
}

BZPERROR BZP_API BZConfig_GetDouble(CONFIG_DOUBLE config,double *value)
{
	NullCheck(value);
	TRY {
		*value=GetConfigDouble(config);
	} CATCH;
}

BZP_EXTERN_C_END

BZP_NAMESPACE_END
