#ifndef BZP_C_ERROR_H
#define BZP_C_ERROR_H

#include <new>
#include "error.h"
#include "exception.h"

/*************************************************

	O󂯂ăG[ԍɕϊ}N

**************************************************/

#define TRY	\
	BZPERROR error=BZPERROR_SUCCESS;	\
	try

#define CATCH	\
	catch(Exception &e)	\
	{	\
		error=e.GetErrorCode();	\
	}	\
	catch(std::bad_alloc)	\
	{	\
		error=BZPERROR_OUT_OF_MEMORY;	\
	}	\
	catch(...)	\
	{	\
		error=BZPERROR_UNKNOWN;	\
	}	\
	return error;

#endif


#define NullCheck(pointer)	{ if(pointer==NULL) return BZPERROR_NULL_ARGUMENT; }
