#ifndef BZP_C_PATH_H
#define BZP_C_PATH_H

#include "site.h"
#include "ctypedef.h"

#include <windows.h>

/*************************************************

	PathCɂĂяo

**************************************************/

BZP_NAMESPACE_START

enum BZPERROR;

BZP_EXTERN_C_START

BZPERROR BZP_API BZPath_Create(BZPath *);
void BZP_API BZPath_Destroy(BZPath);
BZPERROR BZP_API BZPath_GetOuterRect(BZPath,RECT *,int,double);
BZPERROR BZP_API BZPath_IsEmpty(BZPath,BOOL *);
BZPERROR BZP_API BZPath_SelectAll(BZPath,BOOL);
BZPERROR BZP_API BZPath_PutInGroup(BZPath);
BZPERROR BZP_API BZPath_Ungroup(BZPath);

/*clip.h*/
BZPERROR BZP_API BZPath_CanGroup(BZPath,BOOL *);
BZPERROR BZP_API BZPath_CanUngroup(BZPath,BOOL *);
BZPERROR BZP_API BZPath_CanCopy(BZPath,BOOL *);
BZPERROR BZP_API BZPath_CopyAll(BZPath,const BZPath);
BZPERROR BZP_API BZPath_CopyParts(BZPath,const BZPath,int);
BZPERROR BZP_API BZPath_Copy(BZPath,const BZPath,BOOL);
BZPERROR BZP_API BZPath_Cut(BZPath,const BZPath,BOOL);
BZPERROR BZP_API BZPath_Paste(BZPath,const BZPath,SIZE);

BZPERROR BZP_API BZPath_Move(BZPath,double,double);
BZPERROR BZP_API BZPath_HReverse(BZPath);
BZPERROR BZP_API BZPath_VReverse(BZPath);

BZP_EXTERN_C_END

BZP_NAMESPACE_END

#endif