#ifndef BZP_C_REDRAW_H
#define BZP_C_REDRAW_H

#include "site.h"
#include "ctypedef.h"

/*************************************************

	RedrawCɂĂяo

**************************************************/

BZP_NAMESPACE_START

enum BZPERROR;

BZP_EXTERN_C_START

BZPERROR BZP_API BZRedraw_Create(BZRedraw *);
void BZP_API BZRedraw_Destroy(BZRedraw);
BZPERROR BZP_API BZRedraw_SetPath(BZRedraw,BZPath);
BZPERROR BZP_API BZRedraw_SetGraph(BZRedraw,BZGraph);
BZPERROR BZP_API BZRedraw_SetTool(BZRedraw,BZTool);
BZPERROR BZP_API BZRedraw_PrepareBefore(BZRedraw);
BZPERROR BZP_API BZRedraw_DrawBefore(BZRedraw);
BZPERROR BZP_API BZRedraw_SkipBefore(BZRedraw);
BZPERROR BZP_API BZRedraw_PrepareAfter(BZRedraw);
BZPERROR BZP_API BZRedraw_DrawAfter(BZRedraw);
BZPERROR BZP_API BZRedraw_SkipAfter(BZRedraw);

BZPERROR BZP_API BZRedraw_PrepareDraw(BZRedraw);
BZPERROR BZP_API BZRedraw_Draw(BZRedraw);
BZPERROR BZP_API BZRedraw_SkipDraw(BZRedraw);

BZPERROR BZP_API BZRedraw_End(BZRedraw);

BZP_EXTERN_C_END

BZP_NAMESPACE_END

#endif