#include "prefix.h"

#include "ctable.h"
#include "cerror.h"
#include "path.h"
#include "convertertable.h"

/*************************************************

	e[u`̕ϊCɂĂяo

**************************************************/

BZP_NAMESPACE_START

BZP_EXTERN_C_START

BZPERROR BZP_API BZPathToTableSize(const BZPath path,int part,int *size)
{
	NullCheck(size);
	TRY {
		*size=PathToTableSize(path,part);
	} CATCH;
}


BZPERROR BZP_API BZPathToTable(const BZPath path,int part,PATHTABLE *table,int size)
{
	TRY {
		PathToTable(path,part,table,size);
	} CATCH;
}

BZPERROR BZP_API BZTableToPath(BZPath path,const PATHTABLE *table,int size)
{
	TRY {
		TableToPath(path,table,size);
	} CATCH;
}

BZP_EXTERN_C_END

BZP_NAMESPACE_END
