#include "prefix.h"

#include "ctag.h"
#include "cerror.h"
#include "path.h"
#include "convertertag.h"

/*************************************************

	^O`̕ϊCɂĂяo

**************************************************/

BZP_NAMESPACE_START

BZP_EXTERN_C_START

BZPERROR BZP_API BZPathToTagSize(const BZPath path,int part,int *size)
{
	NullCheck(size);
	TRY {
		*size=PathToTagSize(path,part);
	} CATCH;
}


BZPERROR BZP_API BZPathToTag(const BZPath path,int part,char *tag,int size)
{
	TRY {
		PathToTag(path,part,tag,size);
	} CATCH;
}

BZPERROR BZP_API BZTagToPath(BZPath path,const char *tag,int size)
{
	TRY {
		TagToPath(path,tag,size);
	} CATCH;
}

BZP_EXTERN_C_END

BZP_NAMESPACE_END
