#ifndef BZP_C_TOOL_H
#define BZP_C_TOOL_H

#include "site.h"
#include "ctypedef.h"

#include <windows.h>

/*************************************************

	ToolHolderCɂĂяo

**************************************************/

BZP_NAMESPACE_START

enum BZPERROR;
enum EVENT;
struct tagToolTable;
typedef tagToolTable TOOLTABLE;

BZP_EXTERN_C_START

BZPERROR BZP_API BZTool_Create(BZTool *);
void BZP_API BZTool_Destroy(BZTool);
BZPERROR BZP_API BZTool_Entry(BZTool,EVENT
	,BZPath,BZGraph,POINT,int);
BZPERROR BZP_API BZTool_CanStop(const BZTool,BOOL *);
BZPERROR BZP_API BZTool_IsOperating(const BZTool,BOOL *);
BZPERROR BZP_API BZTool_IsCapturing(const BZTool,BOOL *);
BZPERROR BZP_API BZTool_GetCondition(const BZTool,int *);
BZPERROR BZP_API BZTool_GetCurrentIndex(BZTool,int *);
BZPERROR BZP_API BZTool_Cancel(BZTool,BZPath,BZGraph);
BZPERROR BZP_API BZTool_SetToolTable(BZTool,const TOOLTABLE *,int);
BZPERROR BZP_API BZTool_DidModify(BZTool,BOOL *);
BZPERROR BZP_API BZTool_ClearModifiedFlag(BZTool);
BZPERROR BZP_API BZTool_GetToolOption(BZTool,int,int);

BZP_EXTERN_C_END

BZP_NAMESPACE_END

#endif

