#include "prefix.h"

#include <deque>
#include <new>

#include "curvepointers.h"
#include "curve.h"

/*************************************************

	pX̐𕪉Ďô߂Ēuꏊ

**************************************************/

BZP_NAMESPACE_START

class CurvePointersMember
{
public:
	std::deque<const void*> curves;	//Ȑ̃AhXĂ
};

CurvePointers::CurvePointers()
	:m_m(new CurvePointersMember)
{
	BZP_BAD_ALLOC_TEST(m_m.get());
}

CurvePointers::~CurvePointers() throw()
{

}

//Ȑ̃AhXǉ
void CurvePointers::AddCurve(const Curve *curve)
{
	m_m->curves.push_back(
		static_cast<const void*>(curve) );
}

//Ȑ̃AhX𓾂
const Curve *CurvePointers::GetCurve(int index)
{
	return reinterpret_cast<const Curve*>(m_m->curves[index]);
}

//Ȑ̐
int CurvePointers::Count() const
{
	return m_m->curves.size();
}

//Sď
void CurvePointers::Clear()
{
	m_m->curves.clear();
}

//w肵ԍ̐̃AhX폜
void CurvePointers::Remove(int index)
{
	m_m->curves.erase(m_m->curves.begin()+index);
}

BZP_NAMESPACE_END
