#ifndef BZP_CURVEPOINTERS_H
#define BZP_CURVEPOINTERS_H

#include "site.h"

/*************************************************

	pX𕪉Đoɂ߂Ēuꏊ

**************************************************/

BZP_NAMESPACE_START

#ifdef __cplusplus

class CurvePointersMember;
class Curve;

class CurvePointers
{
public:
	CurvePointers();
	~CurvePointers() throw();
	void AddCurve(const Curve *curve);
	const Curve* GetCurve(int index);
	int Count() const;
	void Clear();
	void Remove(int index);
private:
	const std::auto_ptr<CurvePointersMember> m_m;
};

#endif /*__cplusplus*/

BZP_NAMESPACE_END

#endif
