#ifndef BZP_EXTRACTOPTION_H
#define BZP_EXTRACTOPTION_H

#ifdef __cplusplus
#include <assert.h>
#include <limits.h>
#endif

#include "site.h"

/*************************************************

	rbgPʂŒ`ĂIvV̈ꕔ𑀍

**************************************************/

BZP_NAMESPACE_START

#ifdef __cplusplus

#ifdef BZP_HAS_NAMESPACE
# define BZP_EXOPTION BZPNAME::exoption
# define BZP_EXOPTION_START namespace exoption {
# define BZP_EXOPTION_END }
# define BZP_EXOPTION_USING using namespace exoption;
#else
# define BZP_EXOPTION
# define BZP_EXOPTION_START
# define BZP_EXOPTION_END
# define BZP_EXOPTION_USING
#endif

BZP_EXOPTION_START

/*IvV𕔕IɎo*/
inline const
 int ExtractOption(int option,int lowBit,int hiBit)
{
	assert((0<=lowBit)
		&& (lowBit<hiBit) 
		&& ((1<<hiBit)-1<=INT_MAX) );
	int lowMask=(1<<lowBit)-1;
	int hiMask=(1<<hiBit)-1;
	int mask=hiMask & (~lowMask);
	return option&mask;
}

/*IvV𕔕Iɕς*/
inline const
 int ModifyOption(int option,int newOption,int lowBit,int hiBit)
{
	assert((0<=lowBit) 
		&& (lowBit<hiBit)
		&& ((1<<hiBit)-1<=INT_MAX) );

	int lowMask=(1<<lowBit)-1;
	int hiMask=(1<<hiBit)-1;
	int mask=hiMask & (~lowMask);
	return (option&~mask) | (newOption&mask);
}

BZP_EXOPTION_END

#endif /*__cplusplus*/

BZP_NAMESPACE_END

#endif
