#ifndef BZP_SUBGROUP_H
#define BZP_SUBGROUP_H

#include "site.h"

#ifdef __cplusplus
#include "group.h"
#endif

/******************************************************

	TuO[vNX̒`
	GrouppĂGroup̊֐g

*******************************************************/

BZP_NAMESPACE_START

#ifdef __cplusplus

class Graph;
class FindResult;
class FRect;
enum SELECTMODE;

class SubGroup : protected Group
{
public:
	SubGroup();
	~SubGroup() throw();

	void Select(bool isSelected=true);
	bool IsSelected() const;

	void DrawSubGroup(const Graph *graph) const;
	bool FindSubGroup(FindResult *findResult,const Graph *graph,int mask) const;
	void CopySubGroup(const SubGroup *srcSubGroup);

	void MoveRel(const FPoint & rel);

	void SelectBoxSubGroup(SELECTMODE mode,const FRect &rect);

	void ExtractCurve(CurvePointers *curvePtrs,int part) const;

	void PathToDataSubGroup(PathTo *const converter,int part) const;
	void DataToPathSubGroup(ToPath *const converter);
protected:
	bool BoxFind(const FRect &rect) const;
	void DrawSelected(const Graph *graph) const;
	void DrawUnselected(const Graph *graph) const;
private:
	bool m_isSelected;
};

#endif /*__cplusplus*/

BZP_NAMESPACE_END

#endif