#ifndef BZP_TOOL_CUT_H
#define BZP_TOOL_CUT_H

#include "site.h"

#include "tool.h"
#include "toolbase.h"

/*************************************************

	؂c[

**************************************************/

BZP_NAMESPACE_START

enum CONDITION_CUT	/*ڍׂȏ*/
{
	CONDITION_CUT_START=TOOL_CUT*CONDITION_MULTIPLE-1,

	COND_CUT_IDLE,	/*ĂȂ*/
	COND_CUT_FIND_CURVE,	/**/
};

enum OPTION_CUT	/*c[IvV*/
{
	CUT_LOW=0,
		OPTION_CUT_POINT=0<<CUT_LOW,	/*P_ŐؒfĐ𕪂*/
		OPTION_CUT_SEGMENT=1<<CUT_LOW,	/*߂폜Đ𕪂*/
	CUT_HI=CUT_LOW+1,
};

#ifdef __cplusplus

class FPoint;
class FindResult;
enum EVENT;

class ToolCut : public ToolBase
{
public:
	ToolCut();

	virtual bool IsOperating() const;	/*쒆*/
	virtual bool IsCapturing() const;	/*}EXLv`[邩*/

protected:
	virtual void Event(EVENT event,const FPoint & point,int key);
	void Idle_Move(const FPoint & point);
	void Start(const FPoint & point);
	int GetCutMode() const;
	void CutPoint(const FindResult &findResult);
	void CutSegment(const FindResult &findResult);
private:
};

#endif /*__cplusplus*/

BZP_NAMESPACE_END

#endif

