#ifndef BZP_TRANSFORM_H
#define BZP_TRANSFORM_H

#include "site.h"

/*************************************************

	Wϊ̈

	x'=(x_x)*x+(x_y)*y+(x_c)
	y'=(y_x)*x+(y_y)*y+(y_c)

**************************************************/

BZP_NAMESPACE_START

#ifdef __cplusplus

class TRANSFORM
{
public:
	TRANSFORM(double a,double b,double c
		,double d,double e,double f)
	{
		x_x=a; x_y=b; x_c=c;
		y_x=d; y_y=e; y_c=f;
	}

	double x_x,x_y,x_c;
	double y_x,y_y,y_c;
};

#endif /*__cplusplus*/

BZP_NAMESPACE_END

#endif