#ifndef SAMPLE_COMMAND_H
#define SAMPLE_COMMAND_H

#include <windows.h>

#include "site.h"

/*************************************************

	j[{^̕\XV

**************************************************/

SAMPLE_NAMESPACE_START

class Command
{
public:
	Command();
	~Command();

	void SetMenu(HMENU menu,int index);
	void SetToolbar(HWND toolbar,WORD id);

	void SetCheck(bool isChecked);
	void SetEnable(bool isEnabled);
protected:
	void SetCheckMenu(HMENU menu,int index,bool isChecked);
	void SetEnableMenu(HMENU menu,int index,bool isEnabled);
	void SetCheckToolbar(HWND toolbar,WORD id,bool isChecked);
	void SetEnableToolbar(HWND toolbar,WORD id,bool isEnabled);

private:
	int m_type;
	union {
		struct {
			HMENU menu;
			int index;
		} m_menu;
		struct {
			HWND toolbar;
			WORD id;
		} m_toolbar;
	};
};

SAMPLE_NAMESPACE_END

#endif
