#ifndef SAMPLE_FILEDIALOG_H
#define SAMPLE_FIELDIALOG_H

#include "site.h"
#include <windows.h>

/*************************************************

	t@C_CAO

**************************************************/

SAMPLE_NAMESPACE_START


class FileDialog
{
public:
	FileDialog(UINT captionID,UINT filterID,HWND parentWnd);
	~FileDialog() throw();

	bool OpenFileName();
	bool SaveFileName();

	const char *GetFileName() const;
private:
	FileDialog();
	char m_fileName[_MAX_PATH];
	OPENFILENAME m_open;
#define CAPTIONMAX	256
	char m_caption[CAPTIONMAX];
#define FILTERMAX	256
	char m_filter[FILTERMAX];
};

SAMPLE_NAMESPACE_END

#endif
