#include "prefix.h"

#include "main.h"
#include "winman.h"
#include "resource.h"

#include <bzpath.h>

/*************************************************

	Gg[|Cg

**************************************************/

SAMPLE_NAMESPACE_START

HINSTANCE g_hInstance;

#ifdef _MSC_VER
int sample_new_handler(size_t size)
{
	throw std::bad_alloc();
	return 0;
}
#endif

SAMPLE_NAMESPACE_END


bool OnIdle();

int WINAPI WinMain(HINSTANCE hInstance,HINSTANCE,LPSTR,int nCmdShow)
{
#ifdef _MSC_VER
	::_set_new_handler(SAMPLENAME::sample_new_handler);
#endif

	SAMPLENAME::g_hInstance=hInstance;

	if(!SAMPLENAME::CreateFirstWindow(nCmdShow)) {
		return 0;
	}

	HACCEL haccel=::LoadAccelerators(hInstance,MAKEINTRESOURCE(IDR_MAIN));

	MSG msg;
	for(;;) {
		if(::PeekMessage(&msg,NULL,0,0,PM_REMOVE)) {
			if(!::TranslateAccelerator(msg.hwnd,haccel,&msg)) {
				if(msg.message!=WM_QUIT) {
					::TranslateMessage(&msg);
					::DispatchMessage(&msg);
				} else {
					break;
				}
			}
		} else {
			if(!OnIdle()) {
				::WaitMessage();
			}
		}
	}

	bzp::DestroyGlobalObjects();	

	return msg.wParam;
}

//Cxg
bool OnIdle()
{
	SAMPLENAME::UpdateWindows();
	return false;
}

