#ifndef SAMPLE_SAMPLEDOCUMENT_H
#define SAMPLE_SAMPLEDOCUMENT_H

#include "site.h"
#include "document.h"

#include <bzpath_forward.h>

/*************************************************

	TvhLgNX

**************************************************/

namespace history
{
	class History;
}

SAMPLE_NAMESPACE_START

using namespace history;
using namespace bzp;

class SampleDocMember;
class Image;
class Path;

class SampleDocument : public Document
{
public:
	SampleDocument();
	virtual ~SampleDocument() throw();

	virtual bool OnNewDocument();

	bzp::Path *GetPath();
	History *GetHistory();

	SIZE GetSize() const;

	Image *GetImage();
private:
	const std::auto_ptr<SampleDocMember> m_m;
	SIZE m_size;
};

SAMPLE_NAMESPACE_END

#endif

