#include "prefix.h"

#include "cfill.h"
#include "cerror.h"
#include "fill.h"

/*************************************************

	FillCɂĂяo

**************************************************/

BZP_NAMESPACE_START

BZP_EXTERN_C_START

BZPERROR BZP_API BZFill_Create(BZFill *fill)
{
	NullCheck(fill);

	TRY {
		*fill=NULL;
		*fill=new Fill;
	} CATCH;
}

void BZP_API BZFill_Destroy(BZFill fill)
{
	delete fill;
}

BZPERROR BZP_API BZFill_AddPath(BZFill fill,const BZPath path,int part)
{
	NullCheck(fill);
	TRY {
		fill->AddPath(path,part);
	} CATCH;
}

BZPERROR BZP_API BZFill_SetAntiAliasing(BZFill fill,int antiAliasing)
{
	NullCheck(fill);
	TRY {
		fill->SetAntiAliasing(antiAliasing);
	} CATCH;
}

BZPERROR BZP_API BZFill_SetOption(BZFill fill,int option)
{
	NullCheck(fill);
	TRY {
		fill->SetOption(option);
	} CATCH;
}

BZPERROR BZP_API BZFill_ScanLine(BZFill fill,int left,int y,double *buffer,int size)
{
	NullCheck(fill);
	TRY {
		fill->ScanLine(left,y,buffer,size);
	} CATCH;
}

BZP_EXTERN_C_END

BZP_NAMESPACE_END

