#ifndef BZP_C_GRAPH_H
#define BZP_C_GRAPH_H

#include "site.h"
#include "ctypedef.h"

#include <windows.h>

/*************************************************

	GraphCɂĂяo

**************************************************/

BZP_NAMESPACE_START

enum BZPERROR;
enum PARTSSIZE;

BZP_EXTERN_C_START

BZPERROR BZP_API BZGraph_Create(BZGraph *);
void BZP_API BZGraph_Destroy(BZGraph);
BZPERROR BZP_API BZGraph_SetViewRect(BZGraph,const RECT *);
BZPERROR BZP_API BZGraph_SetBoundRect(BZGraph,const RECT *);
BZPERROR BZP_API BZGraph_SetDrawMode(BZGraph,int);
BZPERROR BZP_API BZGraph_GetDrawMode(BZGraph,int *);
BZPERROR BZP_API BZGraph_SetViewDC(BZGraph,HDC);
BZPERROR BZP_API BZGraph_SetColor(BZGraph,COLORREF);
BZPERROR BZP_API BZGraph_SetInvertColor(BZGraph,COLORREF);
BZPERROR BZP_API BZGraph_SetPartsSize(BZGraph,PARTSSIZE,int);
BZPERROR BZP_API BZGraph_GetPartsSize(BZGraph,PARTSSIZE,int *);

BZP_EXTERN_C_END

BZP_NAMESPACE_END

#endif