#ifndef BZP_C_STEPS_H
#define BZP_C_STEPS_H

#include "site.h"
#include "ctypedef.h"

/*************************************************

	StepsCɂĂяo

**************************************************/

BZP_NAMESPACE_START

enum BZPERROR;

BZP_EXTERN_C_START

BZPERROR BZP_API BZSteps_Create(BZSteps *);
void BZP_API BZSteps_Destroy(BZSteps);

BZPERROR BZP_API BZSteps_AddPath(BZSteps,const BZPath,int);	/*pX𒊏o*/
BZPERROR BZP_API BZSteps_SetResolution(BZSteps,double);
BZPERROR BZP_API BZSteps_SetOption(BZSteps,int);
BZPERROR BZP_API BZSteps_SetInterval(BZSteps,double);
BZPERROR BZP_API BZSteps_NextPoint(BZSteps,double *,double *);

BZP_EXTERN_C_END

BZP_NAMESPACE_END

#endif