#ifndef BZP_DIMPTR_H
#define BZP_DIMPTR_H

#include "site.h"

/*************************************************

	z̃|C^Ǘ

**************************************************/

BZP_NAMESPACE_START

#ifdef __cplusplus

template <class T> class DimPtr
{
public:
	DimPtr()
		:m_ptr(NULL)
	{
	}

	DimPtr(T *ptr)
		:m_ptr(ptr)
	{
	}

	~DimPtr() throw()
	{
		delete[] m_ptr;
	}

	T *get()
	{
		return m_ptr;
	}

	void reset(T *ptr)
	{
		delete[] m_ptr;
		m_ptr=ptr;
	}

private:
	T *m_ptr;
};

#endif /*__cplusplus*/

BZP_NAMESPACE_END

#endif
