#ifndef BZP_EXCEPTION_H
#define BZP_EXCEPTION_H

#include "site.h"
#include "error.h"

/*************************************************

	ONX

**************************************************/

BZP_NAMESPACE_START

#ifdef __cplusplus

class Exception
{
public:
	Exception(BZPERROR errorCode) throw()
	{
		m_errorCode=errorCode;
	}

	Exception(const Exception &rhs) throw()
	{
		m_errorCode=rhs.GetErrorCode();
	}

	virtual ~Exception() throw()
	{
	}

	BZPERROR GetErrorCode() const throw()
	{
		return m_errorCode;
	}
private:
	Exception() throw();
	BZPERROR m_errorCode;
};

#endif /*__cplusplus*/

BZP_NAMESPACE_END

#endif
