#include "prefix.h"

#include "findresult.h"
#include "part.h"

/*************************************************

	Tʂ̕ێƔ

**************************************************/

BZP_NAMESPACE_START

//
//IuWFNgłQxTꍇ
//񏉊
void FindResult::Initialize() {
	m_part=PART_NONE;
	m_subGroupIndex=INDEX_NONE;
	m_curveIndex=INDEX_NONE;
	m_knotIndex=INDEX_NONE;
	m_curve_t=0;
	m_knotOnSelectedCurve=false;

	m_ignoreCurve=INDEX_NONE;
	m_ignoreKnot=INDEX_NONE;
}

//FʂɑIԂݒ
void FindResult::SetSelect(bool isSelected)
{
	if(isSelected) {
		m_part&=~PART_UNSELECTED;
		m_part|=PART_SELECTED;
	} else {
		m_part&=~PART_SELECTED;
		m_part|=PART_UNSELECTED;
	}
}

//Tʂɐ̊Jݒ
void FindResult::SetClose(bool isClosed)
{
	if(isClosed) {
		m_part&=~PART_OPENED;
		m_part|=PART_CLOSED;
	} else {
		m_part&=~PART_CLOSED;
		m_part|=PART_OPENED;
	}
}

//pڂ_ȐɂȂĂ邩ݒ肷
void FindResult::SetCurve(bool isCurved)
{
	if(isCurved) {
		m_part&=~PART_STRAIGHT;
		m_part|=PART_CURVED;
	} else {
		m_part&=~PART_CURVED;
		m_part|=PART_STRAIGHT;
	}
}

//AĂ邩ݒ肷
void FindResult::SetLink(bool isLinked)
{
	if(isLinked) {
		m_part&=~PART_UNLINKED;
		m_part|=PART_LINKED;
	} else {
		m_part&=~PART_LINKED;
		m_part|=PART_UNLINKED;
	}
}

BZP_NAMESPACE_END
