#ifndef BZP_KEYBOARD_H
#define BZP_KEYBOARD_H

#include "site.h"

/*************************************************

	L[͂̔

**************************************************/

BZP_NAMESPACE_START

enum 
{
	KEY_IGNORE=0,	/*L[͂Ȃ*/

	KEY_SHIFT_MULTIPLE=1<<16,

	KEY_SHIFT=1 * KEY_SHIFT_MULTIPLE,	/*VtgL[𓯎ɉ*/
	KEY_CONTROL=2 * KEY_SHIFT_MULTIPLE,	/*Rg[L[𓯎ɉ*/
	KEY_ALT=4 * KEY_SHIFT_MULTIPLE,	/*ALTL[𓯎ɉ*/
};

#ifdef __cplusplus

#ifdef BZP_HAS_NAMESPACE
# define BZP_KEYBOARD BZPNAME::keyboard
# define BZP_KEYBOARD_START namespace keyboard {
# define BZP_KEYBOARD_END }
# define BZP_KEYBOARD_USING using namespace keyboard;
#else
# define BZP_KEYBOARD
# define BZP_KEYBOARD_START
# define BZP_KEYBOARD_END
# define BZP_KEYBOARD_USING
#endif

enum CONFIG_INT;

BZP_KEYBOARD_START

bool IsPushedKey(CONFIG_INT,int key);
bool IsPushingKey(CONFIG_INT);

BZP_KEYBOARD_END

#endif /*__cplusplus*/

BZP_NAMESPACE_END

#endif