#ifndef BZP_REDRAW_H
#define BZP_REDRAW_H

#include "site.h"

/*************************************************

	pX̍ĕ\ǗNX

**************************************************/

BZP_NAMESPACE_START

#ifdef __cplusplus

class Path;
class Graph;
class ToolHolder;

class Redraw
{
public:
	Redraw();
	Redraw(Path *path,Graph *graph);
	~Redraw() throw();

	void SetPath(Path *path);	/*pXݒ*/
	void SetGraph(Graph *graph); /*GraphIuWFNgݒ*/
	void SetTool(ToolHolder *tool);	/*c[IuWFNgݒ*/

	/*rŕʂ̕`ޏꍇɎgp*/
	const Graph *GetGraph() const;

	/*ύX̍ĕ\*/
	void PrepareBefore();	/*ύXO̕`̏*/
	void DrawBefore();	/*ύXO̕`*/
	void SkipBefore();
	void PrepareAfter();	/*ύX̕`̏*/
	void DrawAfter();	/*ύX̕`*/
	void SkipAfter();

	/*SĂ̍ĕ\*/
	void PrepareDraw();	/*`̏*/
	void Draw();	/*`*/
	void SkipDraw();

	void End();	/*\顕KĂ΂Ȃ΂ȂȂ*/
	
private:
	Path *m_path;	/*`pXL͂ĂȂ*/
	Graph *m_graph;	/*`ʏ񡏊L͂ĂȂ*/
	ToolHolder *m_tool;	/*s̃c[L͂ĂȂ
		c[gꍇ̓c[oRŕ\*/
	int m_phase;	/*݂̏*/
	bool m_canRedraw;	/*qɂȂĂAobt@mۂłȂ肷Ƃɕ`Ȃ悤ɂ*/
};

#endif /*__cplusplus*/

BZP_NAMESPACE_END

#endif
