#include "prefix.h"

#include <assert.h>

#include "runtimeconfig.h"
#include "mathdefine.h"
#include "keyboard.h"
#include "exception.h"
#include "error.h"

/*************************************************

	s̃Cu[Ŝ̐ݒ

**************************************************/

BZP_NAMESPACE_START

BZP_CONFIG_START

//ݒ
static int s_config_int[CONFIG_INTMAX]={
	//L[
	VK_ESCAPE,	//c[̎L[

		//yc[
	KEY_CONTROL,	//ȂNbNďIɂL[
	KEY_SHIFT|'Z',	//Vpڂ̒ǉƕ_̈ړƂ؂ւ
	KEY_SHIFT,	//Vpڂc΂߂̕Ɍ肷

	KEY_SHIFT,	//pڂ̈ړc΂߂̕Ɍ肷
	KEY_SHIFT,	//_̈ړc΂߂̕Ɍ肷

	KEY_SHIFT,	//c̕1:1ɂ

	KEY_CONTROL,	//ꎞIȃc[ƃIvV̕ύX̑PL[
	KEY_SHIFT,	//QL[
	KEY_CONTROL|KEY_SHIFT,	//RL[

	//IvVL[
	'A','S','D','F',

	's',		//Illustlator`̐̏I̖߂̕ n,s,f,b̂ꂩ
};

static bool s_config_bool[CONFIG_BOOLMAX]={
	true,	//IɂȂƊ܂܂pڂIɂȂ
};

static double s_config_double[CONFIG_DOUBLEMAX]={
	BZP_BOX_TO_ROUND,	//pۂƂ̒̊̕
};

//int^̐ݒ
void SetConfig(CONFIG_INT config,int value)
{
	BZP_PARAMETER_ERROR(0<=config&&config<CONFIG_INTMAX
		,BZPERROR_OUT_OF_RANGE);
	s_config_int[config]=value;
}

//bool^̐ݒ
void SetConfig(CONFIG_BOOL config,bool flag)
{
	BZP_PARAMETER_ERROR(0<=config&&config<CONFIG_BOOLMAX
		,BZPERROR_OUT_OF_RANGE);
	s_config_bool[config]=flag;
}

//double^̐ݒ
void SetConfig(CONFIG_DOUBLE config,double value)
{
	BZP_PARAMETER_ERROR(0<=config&&config<CONFIG_DOUBLEMAX
		,BZPERROR_OUT_OF_RANGE);
	s_config_double[config]=value;
}

//int^̐ݒlԂ
int GetConfigInt(CONFIG_INT config)
{
	BZP_PARAMETER_ERROR(0<=config&&config<CONFIG_INTMAX
		,BZPERROR_OUT_OF_RANGE);
	return s_config_int[config];
}

//bool^̐ݒlԂ
bool GetConfigBool(CONFIG_BOOL config)
{
	BZP_PARAMETER_ERROR(0<=config&&config<CONFIG_BOOLMAX
		,BZPERROR_OUT_OF_RANGE);
	return s_config_bool[config];
}

//double^̐ݒlԂ
double GetConfigDouble(CONFIG_DOUBLE config)
{
	BZP_PARAMETER_ERROR(0<=config&&config<CONFIG_DOUBLEMAX
		,BZPERROR_OUT_OF_RANGE);
	return s_config_double[config];
}

BZP_CONFIG_END

BZP_NAMESPACE_END

