#ifndef BZP_RUNTIME_CONFIG_H
#define BZP_RUNTIME_CONFIG_H

#include "site.h"

/*************************************************

	s̃Cu[Ŝ̐ݒ

**************************************************/

BZP_NAMESPACE_START

enum CONFIG_INT	/*lݒ肷*/
{
	KEY_CANCEL,	/*c[̎L[*/

	KEY_PEN_TERMINATE,	/*yc[ŉȂIɂL[*/
	KEY_PEN_MOVEWCONTROLS,	/*pڂǉԂL΂Ԃɐ؂ւL[*/
	KEY_PEN_FIXANGLE,	/*c΂߂̕ɂpڂǉL[*/

	KEY_MOVE_FIXANGLE,	/*[̌pڂc΂߂̕ɂpڂړL[*/
	KEY_MOVE_CONTROL_FIXANGLE,	/*𗼑֐L΂Ƃɏc΂ߕɂL΂L[*/

	KEY_SHAPE_SQUARE,	/*}`c[ŏcƉ̕1:1ɂL[*/

	KEY_ALTERNATETOOL1,	/*ꎞIȃc[ƃIvV̕ύX̃L[*/
	KEY_ALTERNATETOOL2,
	KEY_ALTERNATETOOL3,

	KEY_OPTIONTEST1,		/*c[IvVL[*/
	KEY_OPTIONTEST2,
	KEY_OPTIONTEST3,
	KEY_OPTIONTEST4,

	AI_CURVE_TERMINAL,	/*Illustlator`̐̏I̖߂̕*/

	CONFIG_INTMAX
};

enum CONFIG_BOOL
{
	CONFIG_UNSELECT_CURVE_THEN_UNSELECT_KNOT,	/*IɂƂɌpڂIɂ*/

	CONFIG_BOOLMAX
};

enum CONFIG_DOUBLE
{
	/*ɌpڂǉċȐɂꍇ̔{*/
	CONFIG_MAKE_CURVE_MAGNIFICATION,

	/*Ԋu̓_oƂɃxWGȐ܂ɕϊׂ*/
	CONFIG_POLYLINE_RESOLUTION,	

	CONFIG_DOUBLEMAX
};

#ifdef __cplusplus

#ifdef BZP_HAS_NAMESPACE
# define BZP_CONFIG BZPNAME::config
# define BZP_CONFIG_START namespace config {
# define BZP_CONFIG_END }
# define BZP_CONFIG_USING using namespace config;
#else
# define BZP_CONFIG
# define BZP_CONFIG_START
# define BZP_CONFIG_END
# define BZP_CONFIG_USING
#endif

BZP_CONFIG_START

void SetConfig(CONFIG_INT,int value);
void SetConfig(CONFIG_BOOL,bool flag);
void SetConfig(CONFIG_DOUBLE,double value);
int GetConfigInt(CONFIG_INT);
bool GetConfigBool(CONFIG_BOOL);
double GetConfigDouble(CONFIG_DOUBLE);

BZP_CONFIG_END

#endif /*__cplusplus*/
	
BZP_NAMESPACE_END

#endif
