#ifndef BZP_TOOL_CHANGE_CONTROL_H
#define BZP_TOOL_CHANGE_CONTROL_H

#include "site.h"

#include "toolextend.h"
#include "tool.h"

/*************************************************

	_̏Ԃ؂ւ

**************************************************/

BZP_NAMESPACE_START

enum CONDITION_CHANGECONTROL	/*ڍׂȏ*/
{
	CONDITION_CHANGECONTROL_START=TOOL_CHANGECONTROL*CONDITION_MULTIPLE-1,

	COND_CHANGECONTROL_IDLE,	/*ĂȂ*/
	COND_CHANGE_STRAIGHT_KNOT,	/*ȐȂʉߓ_
		NbNƒɂ*/
	COND_CHANGE_CURVE_KNOT,	/*Ȃʉߓ_
		hbOȂȂNbNƕL΂
		hbOȂ炻̂܂܃hbOꍇL΂̂܂܃{^𗣂ΕύXȂ
		*/
	COND_CHANGE_LINKED_CONTROL,	/*܂ĂȂ_܂*/
	COND_CHANGE_UNLINKED_CONTROL,	/*܂Ă_ړ*/
};

#ifdef __cplusplus

class ToolChangeControl : public ToolExtend
{
public:
	ToolChangeControl();

	virtual bool IsOperating() const;	/*쒆*/
	virtual bool IsCapturing() const;	/*}EXLv`[邩*/

protected:
	virtual void Event(EVENT event,const FPoint & point,int key);
	void EventExtend(EVENT event,const FPoint & point,int key);
	void Idle(const FPoint & point);
	void EventIdle(EVENT event,const FPoint & point);
	void Idle_Move(const FPoint & point);
	void Start(const FPoint & point);
	void ChangeAnchor(const FPoint & point);
	void EventGrippedAnchor(EVENT event,const FPoint & point);
	void ChangeControl(const FPoint & point);
	void EventGrippedControl(EVENT event,const FPoint & point);

private:
	int m_phase;	/**/

	int m_grippedKnot;	/*łpڂ̔ԍ*/
	int m_grippedCurve;	/*łpڂ̔ԍ*/
	bool m_grippedIsCurved;	/*łpڂȐɂȂĂ邩*/
	bool m_grippedIsSelected;	/*łpڂIĂ邩*/
	bool m_grippedIsForward;	/*ł_Ô̂*/
};

#endif /*__cplusplus*/

BZP_NAMESPACE_END

#endif

