#ifndef BZP_TOOL_DELETE_POINT_H
#define BZP_TOOL_DELETE_POINT_H

#include "site.h"

#include "toolextend.h"
#include "deleteknotmode.h"
#include "tool.h"

/*************************************************

	ʉߓ__폜c[

**************************************************/

BZP_NAMESPACE_START

enum CONDITION_DELETEPOINT	/*ڍׂȏ*/
{
	CONDITION_DELETEPOINT_START=TOOL_DELETEPOINT*CONDITION_MULTIPLE-1,

	COND_DELETEPOINT_IDLE,	/*ĂȂ*/
	COND_DELETE_KNOT,	/*ʉߓ_폜*/
	COND_DELETE_CONTROL,	/*_폜*/
};

enum OPTION_DELETEPOINT	/*c[IvV*/
{
	DELETEPOINT_OPTION_INHERIT=MOVE_OPTION_BITS_MAX,

	DELETEPOINT_LOW=DELETEPOINT_OPTION_INHERIT,
		/*폜̕_̈ʒu*/
		OPTION_DELETEPOINT_JUST
			=DELETEKNOT_JUST<<DELETEPOINT_LOW,	/*̂܂܍폜*/

#if 0 /**/
		OPTION_DELETEPOINT_MIMIC
			=DELETEKNOT_MIMIC<<DELETEPOINT_LOW,	/*폜_ʂ悤ɂ*/
		OPTION_DELETEPOINT_ROUNDCORNER
			=DELETEKNOT_ROUNDCORNER<<DELETEPOINT_LOW,	/*ۂ߂*/
#endif
	DELETEPOINT_HI=DELETEPOINT_LOW+2,
};

#ifdef __cplusplus

enum EVENT;
class FPoint;

class ToolDeletePoint : public ToolExtend
{
public:
	ToolDeletePoint();

	/*쒆*/
	virtual bool IsOperating() const;
	/*}EXLv`[邩*/
	virtual bool IsCapturing() const;

protected:
	virtual void Event(EVENT event,const FPoint & point,int key);
	void Idle(const FPoint & point);
	void EventIdle(EVENT event,const FPoint & point);
	void Idle_Move(const FPoint & point);
	void Start(const FPoint & point);
	void EventExtend(EVENT event,const FPoint & point,int key);

	DELETEKNOTMODE GetDeleteMode() const;

private:
	int m_phase;	/**/
};

#endif /*__cplusplus*/

BZP_NAMESPACE_END

#endif

