#ifndef BZP_TOOLEXTEND_H
#define BZP_TOOLEXTEND_H

#include "site.h"
#include "toolmove.h"

/*************************************************

	c[̋󂢂Ă@\Ɉړ̋@\邽߂
	n

**************************************************/

BZP_NAMESPACE_START

enum CONDITION_EXTEND	/*ڍׂȏ*/
{
	CONDITION_EXTEND_INHERIT=CONDITION_MOVE_MAX-1,

	COND_MOVE_WCONTROLS,	/*𗼑ɐL΂Ă*/
};

#ifdef __cplusplus

class FPoint;
enum EVENT;

class ToolExtend : public ToolMove
{
public:
	ToolExtend();
	
	virtual bool IsOperating() const;
	virtual bool IsCapturing() const;

protected:
	virtual void Event(EVENT event,const FPoint & point,int key);
	void Start(const FPoint & point);
	void MoveWControls(const FPoint & point,bool IsForward,int knotIndex,int curveIndex);
	void DragWControls(const FPoint & point,bool isForward,int knotIndex,int curveIndex);
	void EventMoveWControls(EVENT event,const FPoint & point);
	void EventDragWControls(EVENT event,const FPoint & point);
	void MoveLastKnotWControls(const FPoint & point);
	void MoveControl(const FPoint & point,bool isForward,int knotIndex,int curveIndex);
	void DragControl(const FPoint & point,bool isForward,int knotIndex,int curveIndex);
	void PrepareMoveControl(const FPoint & point,bool isForward,int knotIndex,int curveIndex);
	void Idle(const FPoint & point);
	bool Idle_Move(const FPoint & point);
	void EventMove(EVENT event,const FPoint & point,int key);
private:
	int m_phase;	/**/
	int m_grippedKnot;	/*łpڂ̔ԍ*/
	int m_grippedCurve;	/*łpڂ̂̔ԍ*/
	bool m_grippedIsForward;	/*ł_O*/
};

#endif /*__cplusplus*/

BZP_NAMESPACE_END

#endif

