#ifndef BZP_TOOLINSERTKNOT_H
#define BZP_TOOLINSERTKNOT_H

#include "site.h"
#include "toolextend.h"
#include "tool.h"
#include "insertknotmode.h"

/*************************************************

	_̒ǉc[

**************************************************/

BZP_NAMESPACE_START

enum CONDITION_INSERTKNOT	/*ڍׂȏ*/
{
	CONDITION_INSERTKNOT_START=TOOL_INSERTKNOT*CONDITION_MULTIPLE-1,

	COND_INSERTKNOT_IDLE,	/*ĂȂ*/
	COND_INSERT_KNOT,	/*pڂǉ*/
};

enum OPTION_INSERTKNOT	/*c[IvV*/
{
	/*ToolMovẽIvVg*/
	INSERTKNOT_OPTION_INHERIT=MOVE_OPTION_BITS_MAX,

	INSERTKNOT_STRAIGHT_LOW=INSERTKNOT_OPTION_INHERIT,
	/*͂̂܂ܒŕ*/
		OPTION_INSERTKNOT_STRAIGHT_JUST
			=INSERTKNOT_STRAIGHT_JUST<<INSERTKNOT_STRAIGHT_LOW,
	/*𕪊ꍇ͕L΂*/
		OPTION_INSERTKNOT_STRAIGHT_CURVE
			=INSERTKNOT_STRAIGHT_CURVE<<INSERTKNOT_STRAIGHT_LOW,
	INSERTKNOT_STRAIGHT_HI=INSERTKNOT_STRAIGHT_LOW+1,

	INSERTKNOT_ANCHOR_LOW=INSERTKNOT_STRAIGHT_HI,
	/*ړpڂ̒ǉD悷顒ʉߓ_͓Ȃ*/
		OPTION_INSERTKNOT_NOT_MOVE_ANCHOR
			=0 <<INSERTKNOT_ANCHOR_LOW,	

	/*pڂ̒ǉړD悷
	ʉߓ_Ɛ̏ɂ_ړł*/
		OPTION_INSERTKNOT_MOVE_ANCHOR
			=1<<INSERTKNOT_ANCHOR_LOW,
	INSERTKNOT_ANCHOR_HI=INSERTKNOT_ANCHOR_LOW+1,
};

#ifdef __cplusplus

class FPoint;
enum EVENT;

class ToolInsertKnot : public ToolExtend
{
public:
	ToolInsertKnot();
	virtual ~ToolInsertKnot() throw();

	virtual bool IsOperating() const;
	virtual bool IsCapturing() const;

protected:
	virtual void Event(EVENT event,const FPoint &point,int key);
	void EventIdle(EVENT event,const FPoint &point);
	void EventExtend(EVENT event,const FPoint &point,int key);
	void EventPutKnot(EVENT event,const FPoint &point);
	void Idle(const FPoint &point);
	void Idle_Move(const FPoint &point);
	void Start(const FPoint &point);
	void PutKnot();
	void DragWControls(const FPoint &point);
	bool DoesMoveAnchor() const;
	INSERTKNOTMODE GetInsertMode() const;
private:
	int m_phase;	/**/

	int m_insertKnot;	/*ǉpڂ̔ԍ*/
	int m_insertCurve;	/*ǉ̔ԍ*/
};

#endif /*__cplusplus*/

BZP_NAMESPACE_END

#endif

