#ifndef BZP_TOOL_SELECT_KNOTS_H
#define BZP_TOOL_SELECT_KNOTS_H

#include "site.h"
#include "toolextend.h"
#include "tool.h"

/*************************************************

	̑SĂ̌pڂ̑I̐؂ւ

**************************************************/

BZP_NAMESPACE_START

enum CONDITION_SELECTKNOTS	/*ڍׂȏ*/
{
	CONDITION_SELECTKNOTS_START=TOOL_SELECTKNOTS*CONDITION_MULTIPLE-1,

	COND_SELECTKNOTS_IDLE,	/*ĂȂ*/
	COND_SELECTKNOTS_SELECT,	/*I*/
	COND_SELECTKNOTS_UNSELECT,	/*I*/
	COND_SELECTKNOTS_ALTERNATE,	/*1ɑI*/
};

enum OPTION_SELECTKNOTS	/*c[IvV*/
{
	/*ToolMovẽIvVg*/
	SELECTKNOTS_OPTION_INHERIT=MOVE_OPTION_BITS_MAX,

	SELECTKNOTS_SELECT_LOW=SELECTKNOTS_OPTION_INHERIT,
		/*n_̑IԂɂđIEI؂ւ*/
		OPTION_SELECTKNOTS_TOGGLE=0<<SELECTKNOTS_SELECT_LOW, 
		/*SđI*/
		OPTION_SELECTKNOTS_SELECT=1<<SELECTKNOTS_SELECT_LOW,
		/*SđIȂ*/
		OPTION_SELECTKNOTS_UNSELECT=2<<SELECTKNOTS_SELECT_LOW,
		/*PɑI*/
		OPTION_SELECTKNOTS_ALTERNATE=3<<SELECTKNOTS_SELECT_LOW,
	SELECTKNOTS_SELECT_HI=SELECTKNOTS_SELECT_LOW+2,

	SELECTKNOTS_ANCHOR_LOW=SELECTKNOTS_SELECT_HI,
	/*pڂ̑IړD悷
	ʉߓ_Ɛ̏ɂ_ړł*/
		OPTION_SELECTKNOTS_MOVE_ANCHOR
			=0<<SELECTKNOTS_ANCHOR_LOW,
	/*ړpڂ̑ID悷顒ʉߓ_͓Ȃ*/
		OPTION_SELECTKNOTS_NOT_MOVE_ANCHOR
			=1 <<SELECTKNOTS_ANCHOR_LOW,	
	SELECTKNOTS_ANCHOR_HI=SELECTKNOTS_ANCHOR_LOW+1,
	
};

#ifdef __cplusplus

class FPoint;
class FindResult;
enum EVENT;

class ToolSelectKnots : public ToolExtend
{
public:
	ToolSelectKnots();
	virtual ~ToolSelectKnots() throw();

	virtual bool IsOperating() const;
	virtual bool IsCapturing() const;

protected:
	virtual void Event(EVENT event,const FPoint &point,int key);
	void EventIdle(EVENT event,const FPoint &point);
	void EventExtend(EVENT event,const FPoint &point,int key);
	void Idle(const FPoint &point);
	void Idle_Move(const FPoint &point);
	void Start(const FPoint & point);
	void AlternativeSelect(int curveIndex);
	int SelectionCondition(const FindResult &findResult);
	bool DoesMoveAnchor() const;
	int SelectMode() const;
private:
	int m_phase;	/**/
};

#endif /*__cplusplus*/

BZP_NAMESPACE_END

#endif

