#ifndef SAMPLE_DIMPTR_H
#define SAMPLE_DIMPTR_H

#include "site.h"

/*************************************************

	z̃|C^Ǘ

**************************************************/

SAMPLE_NAMESPACE_START

template <class T> class DimPtr
{
public:
	DimPtr()
		:m_ptr(NULL)
	{
	}

	DimPtr(T *ptr)
		:m_ptr(ptr)
	{
	}

	~DimPtr() throw()
	{
		delete[] m_ptr;
	}

	T *operator->()
	{
		return get();
	}

	T *get()
	{
		return m_ptr;
	}

	void reset(T *ptr)
	{
		delete[] m_ptr;
		m_ptr=ptr;
	}

private:
	T *m_ptr;
};

SAMPLE_NAMESPACE_END

#endif
