#include "prefix.h"

#include "document.h"

#include <stdio.h>

/*************************************************

	hLg{NX

**************************************************/

SAMPLE_NAMESPACE_START

int s_documentCount=0;

Document::Document()
:m_lockCount(0)
,m_viewCount(0)
,m_title(NULL)
{
	++s_documentCount;

	m_title=new char[255];
	sprintf(m_title,"title%d",s_documentCount);
}

Document::~Document() throw()
{
	delete[] m_title;
}

const char *Document::GetTitle() const
{
	return m_title;
}

void Document::Lock()
{
	++m_lockCount;
	++m_viewCount;
}

void Document::Unlock()
{
	--m_lockCount;
	if(m_lockCount==0) {
		//ʂ̓t@C̕ۑƂ
		delete this;
	}
}

bool Document::OnNewDocument()
{
	return true;
}

int Document::GetViewNumber() const
{
	return m_viewCount;
}

SAMPLE_NAMESPACE_END
