#ifndef SAMPLE_DOCUMENT_H
#define SAMPLE_DOCUMENT_H

#include "site.h"

/*************************************************

	hLg{NX

**************************************************/

SAMPLE_NAMESPACE_START

class Document
{
public:
	Document();
	virtual ~Document() throw();

	const char *GetTitle() const;
	void Lock();
	void Unlock();
	virtual bool OnNewDocument();
	int GetViewNumber() const;
private:
	char *m_title;
	int m_lockCount;
	int m_viewCount;
};

SAMPLE_NAMESPACE_END

#endif

