#ifndef SAMPLE_IMAGE_H
#define SAMPLE_IMAGE_H

#include "site.h"

/*************************************************

	摜obt@

**************************************************/

SAMPLE_NAMESPACE_START

class Image
{
public:
	Image();
	~Image() throw();
	void Destroy() throw();

	bool Create(SIZE size);

	int RowBytes() const;
	int Width() const;
	int Height() const;
	int TotalBytes() const;
	int RowTotalBytes() const;
	int PadBytes() const;
	int PixelBytes() const;
	const BITMAPINFO *BitmapInfo() const;
	unsigned char *GetBuffer();
	unsigned char *GetRow(int y);
private:
	BITMAPINFO m_bitmapInfo;
	unsigned char *m_buffer;
	SIZE m_size;
};

SAMPLE_NAMESPACE_END

#endif
