#include "prefix.h"

#include "sampledocument.h"
#include "history.h"
#include "image.h"

#include <windows.h>
#include <bzpath.h>

/*************************************************

	TvhLgNX

**************************************************/

SAMPLE_NAMESPACE_START

using namespace bzp;
using namespace history;

class SampleDocMember
{
public:
	SampleDocMember()
	{
	}
	~SampleDocMember() throw()
	{
	}
	bzp::Path path;
	history::History history;
	Image image;
};

SampleDocument::SampleDocument()
	:m_m(new SampleDocMember)
{
	SAMPLE_BAD_ALLOC_TEST(m_m.get());
}

SampleDocument::~SampleDocument() throw()
{

}

//hLg̏
bool SampleDocument::OnNewDocument()
{
	if(!Document::OnNewDocument()) {
		return false;
	}

	m_size.cx=600;
	m_size.cy=400;

	//pX̎ۂ̑傫ݒ肷
	const RECT initialBoundRect={0,0,600,400};
	m_m->path.SetBoundRect(initialBoundRect);

	if(!m_m->image.Create(m_size)) {
		return false;
	}

	return true;
}

bzp::Path *SampleDocument::GetPath()
{
	return &(m_m->path);
}

SIZE SampleDocument::GetSize() const
{
	return m_size;
}

history::History *SampleDocument::GetHistory()
{
	return &(m_m->history);
}

Image * SampleDocument::GetImage()
{
	return &(m_m->image);
}

SAMPLE_NAMESPACE_END
